Page MenuHomePhabricator

Setup EditorJourney for Arabic Wikipedia
Closed, ResolvedPublic

Description

We are ready to deploy EditorJourney for Arabic Wikipedia. The sensitive namespaces should be 0, 1, 6, 7, 100, 101.

  • Identify sensitive namespaces
  • Deploy to Arabic Wikipedia (for all newcomers, for their first 24 hours)
  • Validate that incoming data is correct, that the right namespaces are being obfuscated, and that logging stops after 24 hours (@nettrom_WMF)

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJun 13 2019, 5:27 PM
Restricted Application added subscribers: alanajjar, Aklapper. · View Herald Transcript
Dyolf77_WMF added a subscriber: Dyolf77.

Confirmed with @alanajjar , Namespaces in Arabic Wikipedia should be 0, 1, 6, 7. No additional namespaces.

Trizek-WMF removed Dyolf77_WMF as the assignee of this task.Jun 20 2019, 4:45 PM
Trizek-WMF moved this task from Inbox to Upcoming Work on the Growth-Team board.
Trizek-WMF added a subscriber: Dyolf77_WMF.
MMiller_WMF updated the task description. (Show Details)Jun 20 2019, 11:00 PM
MMiller_WMF added a subscriber: nettrom_WMF.
MMiller_WMF added subscribers: JTannerWMF, kostajh, Catrope and 2 others.

@Dyolf77_WMF -- I added namespaces 100 and 101 to the list. Those are the Portal and Portal Talk namespaces. They are somewhat like reading behavior, so I think we should obscure them as well.

This is now ready to be developed and put onto the team's sprint board when there is space. We would like to deploy this during the week of July 1.

Change 519581 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Setup EditorJourney for Arabic Wikipedia

https://gerrit.wikimedia.org/r/519581

Change 519581 merged by jenkins-bot:
[operations/mediawiki-config@master] Setup EditorJourney for Arabic Wikipedia

https://gerrit.wikimedia.org/r/519581

Mentioned in SAL (#wikimedia-operations) [2019-07-01T18:23:03Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable EditorJourney on arwiki (T225737) (duration: 00m 49s)

kostajh edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
kostajh updated the task description. (Show Details)
kostajh moved this task from Incoming to QA on the Growth-Team (Current Sprint) board.

Assigning to @nettrom_WMF to QA

nettrom_WMF closed this task as Resolved.Jul 4 2019, 12:35 AM

I've examined the data, and we do not have any events stored beyond 24 hours after user registration, and obfuscation appears to be working correctly. Data also appears to be flowing in, and for example distribution of user actions is similar to other wikis. Don't see a reason to not close this.

nettrom_WMF updated the task description. (Show Details)Jul 4 2019, 12:36 AM